Package org.globus.ftp.dc

# Class TransferSourceThread

java.lang.Object
java.lang.Thread
org.globus.ftp.dc.TransferThread
org.globus.ftp.dc.TransferSourceThread

All Implemented Interfaces:
  `Runnable`

Direct Known Subclasses:
  `GridFTPTransferSourceThread`

public class TransferSourceThread extends TransferThread
Implements outgoing transfer. While the transfer is in progress, replies are sent to the local control channel. Also any failure messages go there in the form of a negative reply.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected TransferContext`
`context`
`protected BasicServerControlChannel`
`localControlChannel`
`protected static org.apache.commons.logging.Log`
`logger`
`protected SocketBox`
`socketBox`
`protected DataSource`
`source`
`protected DataChannelWriter`
`writer`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`TransferSourceThread(AbstractDataChannel dataChannel, SocketBox socketBox, DataSource source, BasicServerControlChannel localControlChannel, TransferContext context)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
`protected Object`
`shutdown()`
`protected void`
`startup()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### logger

protected static org.apache.commons.logging.Log logger

### writer

protected DataChannelWriter writer

### source

protected DataSource source

### localControlChannel

protected BasicServerControlChannel localControlChannel

### context

protected TransferContext context

### socketBox

protected SocketBox socketBox

## Constructor Details

### TransferSourceThread

public TransferSourceThread(AbstractDataChannel dataChannel, SocketBox socketBox, DataSource source, BasicServerControlChannel localControlChannel, TransferContext context) throws Exception

Throws:
  `Exception`

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`

### startup

protected void startup()

### shutdown

protected Object shutdown() throws IOException

Throws:
  `IOException`